package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DemFireInspectPerson;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 消防检查人员 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-11-24
 */
public interface DemFireInspectPersonService extends CrudService<DemFireInspectPerson> {

    CommonPage<DemFireInspectPerson> fireInspectPersonList(String personName, String personPosition, Integer id, Integer pageNum, Integer pageSize);

    List<DemFireInspectPerson> fireInspectPersonList(String personName, String personPosition, List<Integer> idList);

    int fireInspectPersonCount(String personName, String personPosition, Integer id);

    void addFireInspectPerson(DemFireInspectPerson demFireInspectPerson);

    void updateFireInspectPerson(DemFireInspectPerson demFireInspectPerson);

    void delFireInspectPerson(Integer id);
}
